# reports

open fun reports(@DelegatesTo(value = ConfigurationReports::class, strategy = Closure.DELEGATE_FIRST) closure: Closure): ConfigurationReports

Configures the reports to be generated by this task. The contained reports can be configured by task name and closures.

#### Return

The reports container

#### Parameters

closure

The configuration

open fun reports(configureAction: Action<in ConfigurationReports>): ConfigurationReports

Configures the reports to be generated by this task. The contained reports can be configured by task name and closures.

#### Return

The reports container

#### Parameters

configureAction

The configuration

val reports: ConfigurationReports